Page MenuHomeVyOS Platform

PPPoE server: support PADO-delay
Closed, ResolvedPublicFEATURE REQUEST

Description

In current PPPoE daemon exist feature for session balancing by PADO-delay and some installation with multiple BRAS needs this feature.

[pppoe]
pado-delay=delay[,delay1:count1[,delay2:count2[,…]]]

Specifies delays (also in condition of connection count) to send PADO (ms). Last delay in list may be -1 which means don’t accept new connections. List have to be sorted by count key.

Details

Difficulty level
Normal (likely a few hours)
Version
-
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Unspecified (possibly destroys the router)

Event Timeline

Dmitry created this task.Jan 8 2020, 8:06 PM
pasik added a subscriber: pasik.Jan 11 2020, 11:00 AM
hagbard triaged this task as Normal priority.Jan 23 2020, 4:56 PM
hagbard added a project: VyOS 1.3 Equuleus.
hagbard changed Difficulty level from Unknown (require assessment) to Normal (likely a few hours).
hagbard claimed this task.EditedJan 23 2020, 4:59 PM
hagbard added a subscriber: hagbard.

@Dmitry What default delays do you suggest?

pado-delay=0,delay1:100,delay3:200,-1:500 ok?
Should that become an option which needs to be configured, or can it be setup statically?

By default we don't need delay, I think it must be configurable feature.

set service pppoe-server pado-delay delay 100 sessions 100
set service pppoe-server pado-delay delay 200 sessions 300
set service pppoe-server pado-delay delay 300 sessions 1000

and configuration for this

pado-delay=0,100:100,200:300,-1:1000
hagbard changed the task status from Open to In progress.Jan 23 2020, 7:32 PM
hagbard changed the task status from In progress to Needs testing.Jan 23 2020, 8:31 PM

@hagbard, thank you! This feature works properly, last value define how many sessions server can to serve

hagbard changed the task status from Needs testing to Backport candidate.Jan 28 2020, 2:38 AM
hagbard moved this task from In Progress to Backport Candidates on the VyOS 1.3 Equuleus board.
hagbard moved this task from Need Triage to Backlog on the VyOS 1.2 Crux board.
hagbard closed this task as Resolved.Mon, Jul 27, 3:27 PM